package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 考比较类型(1.不高于,2.等于,3.不低于)枚举类
*
* @author zxfei
*/
public enum CompareScopeEnum {
    不高于(1, "不高于"),
    等于(2, "等于"),
    不低于(3, "不低于");
    private Integer value;
    private String desc;

    CompareScopeEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static CompareScopeEnum getByValue(Integer value) {
        for (CompareScopeEnum compareScopeEnum : CompareScopeEnum.values()) {
            if (compareScopeEnum.getValue() == value) {
                return compareScopeEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (CompareScopeEnum item : CompareScopeEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}